Mozilla Firefox 10

 ( trey | 2012. január 31., kedd - 19:57 )

A Mozilla elérhetővé tette népszerű webböngészőjének következő nagyobb, 10-es verzióját. Az újdonságokról és változásokról részletesen a kiadási megjegyzések oldalon lehet tájékozódni. Letölthető Linux, OS X és Windows rendszerekre innen. További részletek itt.

Hozzászólás megjelenítési lehetőségek

A választott hozzászólás megjelenítési mód a „Beállítás” gombbal rögzíthető.

Az inspect első ránézésre jónak tűnik.
--
HUPbeszolas FF extension

Szerintem is, bár én a Firebugot tenném az alaprendszerbem és ott fejleszteném tovább.

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

Igen jóra sikerült verzió. Első blikkre azt mondanám, így próbálgatva pár weboldalt a róka új verziójával, Chrome-al és Operával, hogy most a Firefox 10 a leggyorsabb és legstabilabb mind közül. Ezért hatalmas plusz pont jár a fejlesztőknek.

A változások listája is igen hosszú... (http://www.mozilla.org/en-US/firefox/10.0/releasenotes/buglist.html)

Szerintem a 9.0.1-ben vagy memory leak, vagy valami egyéb, memória managelési hiba volt, mert az idő előrehaladtával nem túl sok lap megnyitásakor is megevett már 1 GB RAM-ot. A gépben összesen 2 GiB van. Ezt a hibát javították?


tr [:lower:] [:upper:] <<<locsemege
LOCSEMEGE

Én nem tudom mit csináltok, de nálam leállítás nélkül fut a firefox heteken, hónapokon át, és 800 mega ramnál többet még nem evett. De ha enne is, az sem érdekelne, 2012 van, minden sarkon hozzávágnak az emberhez pár giga ramot :)
--
HUPbeszolas FF extension

Öreg a gépem, DDR2-es RAM-ból nem akarok drágán belepakolni még 2 GiB-ot. Arra meg most szűkös a keret, hogy alaplapot, RAM-ot cseréljek. A többi maradna, a CPU-m elég izmos. Bár VGA-t is cserélni kellene akkor már.

Nehogy már egy nyamvadt böngészőnek sok 100 MB-ot kelljen megennie. Különben Firefox 8 még jó volt, valamit a 9-esben szúrtak el, de nagyon. Olyannyira, hogy ilyenkor a javascript is lelassul. Checkboxba kattintás után fél-egy másodperccel teszi a pipát. Ilyenkor böngésző újraindítása után jó.

Memory leak-re nem a sok RAM a megoldás, hanem a hiba kijavítása. Megfelelő helyeken a free() hívása.


tr [:lower:] [:upper:] <<<locsemege
LOCSEMEGE

Én ilyet nem tapasztaltam, ez valami egyedi hiba lehet, pl. az egyik kiegészítő, vagy bővítmény hibája.

Most, hogy fennvan a 10-es, figyelem. Conky a desktop jobb oldalán, böngészőt amúgy sem szoktam teljes képernyőre nyitni, így látom, mennyi RAM-ot eszik.


tr [:lower:] [:upper:] <<<locsemege
LOCSEMEGE

+1

A mobil valtozat miatt nagyon vartam de a -nekem nagyon- tetszetos megjelenes mellett ismet csalodas volt, hogy nincs benne flash tamogatas. Hogy lehet ma bongeszot igy kiadni!?

-------------------------------------------------------------------------------------------
Mit használok? Na, na, na? Hát blackPanther OS v11.1-et * www.blackpanther.hu

A Hupper add-on már a 9-el sem működött.

Nekem azzal is működik.

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

Bezzeg a hupbeszolas :)
--
HUPbeszolas FF extension

Kerlek mondd el, mi nem megy.
--
HUP Firefox extension

Volt valami gubanc a frissítésnél (majd Ajnasz elmeséli), szóval van újabb (1.2.3), azt tedd fel:
https://addons.mozilla.org/en-US/firefox/addon/hupper/

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

Az addon atkerult az addons.mozilla.org-ra, onnan lehet (es kell, kulonben nem lesznek updatek) telepiteni. A korabbi hosting nem mukodik tovabb, azonban a regi verziok tovabbra is ott keresik a frissitest. Ez ellen nem tudok semmit sem tenni sajnos, manualisan kell telepiteni az addons.mozilla.org-rol.
--
HUP Firefox extension

Akkor az 1.2.3-assal van valami teendő?


tr [:lower:] [:upper:] <<<locsemege
LOCSEMEGE

Úgy tudom, hogy azzal már nincs, az már az „újabb” verzió.

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

Köszi.

Nekem újra fel kellett tennem és így megy jól.

Nem igazán értem a koncepcióját annak, hogy miért kellett egy FAQ-be rejteni az ESR verzió letöltési linkjeit
------------------
FreeBSD 9.0 + XFCE

Nekem még az sem teljesen egyértelmű, hogy technikailag mi a különbség az ESR és a Firefox 10.0 között.

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

A verzió :)

Az ESR verzióhoz csak biztonsági és stabilitási foltok fognak jönni 1 éven keresztül, a Firefox 10-hez pedig az új verziókkal együtt új featurek. Ez azért szükséges, mert némely cég szabályzata nem engedi meg, hogy új featuret magával hozó böngészőt tesztelés nélkül használjanak az alkalmazottai.

Az ESR linkjét azért nem reklámozzák, hogy nehogy véletlenül valaki azt kezdje el reklámozni pl. a weboldalán, aztán a csorda kövesse és a normális Firefox 10 helyett az ESR linkje terjedjen a neten az átlagfelhasználók körében is.

"némely cég szabályzata nem engedi meg"

Hát ez nem szabályzat kérdése, hanem konkrét pénzügyi kockázat. Ha egy multinál csak 2000-en használnak egy webalkalmazást 5 kontinensen elszórva, és az nem működik (akárcsak azért mert a júzerek nem találnak egy áthelyezett menüt vagy a könyvjelzőt), és ezért napokig nem tudnak dolgozni, és a heldesken égnek a vonalak, akkor az elég nagy bukta.

És pont emiatt készítenek egy szabályzatot arra, hogy mit lehet és mit nem frissíteni. Így aztán visszakerültünk a kályhához :)

Jelenleg egyetlen bitmap: mozilla-release/browser/branding/official/content/about-wordmark.png

A mobilos változatban a Flash támogatást tovább halasztották a 11-es kiadáshoz, így továbbra is a bétát kell használnom.

Ilyenek fixálása nélkül miért adják ki:
For some users, scrolling in the main GMail window will be slower than usual (see 579260)
Some synaptic touch pads are unable to vertical scroll (see 622410)
Firefox notifications may not work properly with Growl 1.3 or later (see 691662)

Szerintem brand romboló..

Időalapú a kiadás...

Fel akartam tenni a Fedora build szerveréről, de nem ment, mert kell neki új libvpx, ami nem lett volna gond, ám az ffmpeg-libs a régi libvpx-et igényli. Az ffmpeg-libs leszedése meg nem jó ötlet, mert a vlc, mencoder, stb. kellenek nekem.

Meg kell várjam a hivatalos frissítést. Kár.


tr [:lower:] [:upper:] <<<locsemege
LOCSEMEGE

Nem bírtam megállni, feltettem a Firefox 10-et. Az átmeneti megoldás az lett, hogy mind a libvpx-0.9.7, mind pedig a libvpx-1.0.0 fennvan a gépemen. Csak ne feledjem el leszedni a régit, ha már a többi alkalmazásnak sem lesz szüksége rá. Szóval az ffmpeg-lib-nek.


tr [:lower:] [:upper:] <<<locsemege
LOCSEMEGE

nálam az E-on online mérőállás bejelentő:
https://e-portal.eon-hungaria.com/rhood?id=2090&sap-language=hu

Azt mondja , hogy nem kompatibilis böngésző...

User-Agent Switcher?

-----
"Egy jó kapcsolatban a társunkat az ő dolgában kell támogatni, nem a miénkben."
rand() a lelke mindennek! :)

Az E-on szerint 10.0 < 2.0. Szánalmas.


tr [:lower:] [:upper:] <<<locsemege
LOCSEMEGE

http://www.mozilla.org/en-US/firefox/10.0/releasenotes/ írta:
Unresolved Two-digit browser version numbers may cause a small number of website incompatibilities (see 690287)

Miért, van arra valamilyen szabvány, hogy hány jegyű lehet egy verziószám? Ez mindenképp az illető weboldal hibája. Az első [^0-9] karakterig kell nézni a verziószámot, s így összehasonlítani numerikusan. Persze, hogy stringként a 10.0 < 2.0 teljesül. Lásd még:

sort
sort -n


tr [:lower:] [:upper:] <<<locsemege
LOCSEMEGE

Természetesen a weboldal hibája. De ha már annyira jelentős probléma, hogy még a firefox release notes-ba is bekerül, akkor talán érdemes lett volna elgondolkozni ezen akkor, amikor kitalálták, hogy felpörgetik a verziózást, miközben valójában nem gyorsul fel a fejlesztés.

Ugy veled, hogy a 10 az kb ugyanaz, mint mondjuk a 4?
--
HUP Firefox extension

Nem a 4, hanem mondjuk a régi rendszerben a 4.6. Annyira azért nem követem, de így visszaemlékezve egyik verzió sem hozott a 4-es óta olyan komoly változást, ami indokolná az új főverziót (pl. jelentősen megváltoztatott extension api, valamelyik nagyobb alrendszer teljes újraírása, stb.).

De nem is ez a lényeg, hanem az, hogy semmilyen előnye nincs a verziózás megváltoztatásának, cserébe ilyen hátrányai vannak. Az extensionök kompatibilitására végre találtak megoldást (nem előbb kellett volna ezt kitalálni, és csak utána változtatni a verziózáson?), erre most bejött egy másik probléma, amire talán még nehezebben fognak megoldást találni.

Erre nem kell megoldást találni, hiszen nem a Firefox rossz. Szólni kell a "webmestereknek" - helyesen: webgányolóknak -, hogy javítsák ki a vackaikat.

A Mozilla egyet tehet: workaround-ként bevezet valami egyéb verziójelölést. Pl. 9.10.0.0, amit menüből opcionálisan be lehet kapcsolni.

Ettől függetlenül a jelenlegi verziózást - mindig a major verzió nő - én is hülyeségnek tartom, ugyanakkor az elég kínos, ha ezen weblapok elhasalnak.


tr [:lower:] [:upper:] <<<locsemege
LOCSEMEGE

A picasaweb.google.com meg ezt mondja Firefox 10-re: „Olyan böngészőt használ, amely nem teljesen támogatott. Egyes funkciók esetleg nem működnek megfelelően, de a körülnézésnek semmi akadálya.”